# 
# Synthesis run script generated by Vivado
# 

set TIME_start [clock seconds] 
proc create_report { reportName command } {
  set status "."
  append status $reportName ".fail"
  if { [file exists $status] } {
    eval file delete [glob $status]
  }
  send_msg_id runtcl-4 info "Executing : $command"
  set retval [eval catch { $command } msg]
  if { $retval != 0 } {
    set fp [open $status w]
    close $fp
    send_msg_id runtcl-5 warning "$msg"
  }
}
set_param chipscope.maxJobs 2
create_project -in_memory -part xc7z020clg484-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.cache/wt [current_project]
set_property parent.project_path /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property ip_output_repo /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.cache/ip [current_project]
set_property ip_cache_permissions {read write} [current_project]
read_vhdl -library xil_defaultlib {
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/imports/new/ADDER_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ADD_SUB_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ALU_32_SC.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/AND_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/AND_OR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/AND_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ASR_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ASR_ROR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/CONTROL_UNIT_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/EXTEND_IMMEDIATE_SC.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/EXTEND_n_m.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/INSTR_DEC.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/LSL_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/LSL_LSR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/LSR_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/MOV_MVN_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/MUX_2_to_1_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/MVN_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/NOR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/OR_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/RAM_ARRAY.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/REGISTER_FILE_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/REGISTER_FILE_wR15.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/imports/new/REGrwe_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ROM_ARRAY.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ROR_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/SUBTRACTOR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/XOR_A_B_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/XOR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/COND_LOGIC.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ARM_PROCESSOR_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/ALU_REGWE_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/RF_REGrwe.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/DATAPATH_MC_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/MUX_3_to_1_n.vhd
  /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/sources_1/new/FSM.vhd
}
# Mark all dcp files as not used in implementation to prevent them from being
# stitched into the results of this synthesis run. Any black boxes in the
# design are intentionally left as such for best results. Dcp files will be
# stitched into the design at a later time, either when this synthesis run is
# opened, or when it is stitched into a dependent implementation run.
foreach dcp [get_files -quiet -all -filter file_type=="Design\ Checkpoint"] {
  set_property used_in_implementation false $dcp
}
read_xdc /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/constrs_1/imports/tmp/zedboard_master_XDC_RevC_D_v3.xdc
set_property used_in_implementation false [get_files /home/mpliax/Documents/workspace/vhdl-m806-final-project-mc/vhdl-m806-final-project.srcs/constrs_1/imports/tmp/zedboard_master_XDC_RevC_D_v3.xdc]

set_param ips.enableIPCacheLiteLoad 1
close [open __synthesis_is_running__ w]

synth_design -top ARM_PROCESSOR_n -part xc7z020clg484-1


# disable binary constraint mode for synth run checkpoints
set_param constraints.enableBinaryConstraints false
write_checkpoint -force -noxdef ARM_PROCESSOR_n.dcp
create_report "synth_1_synth_report_utilization_0" "report_utilization -file ARM_PROCESSOR_n_utilization_synth.rpt -pb ARM_PROCESSOR_n_utilization_synth.pb"
file delete __synthesis_is_running__
close [open __synthesis_is_complete__ w]
